import 'package:flutter/services.dart';
import 'package:flutter_test/flutter_test.dart';
import 'package:alto_great_circle_distance/alto_great_circle_distance.dart';

void main() {
  const MethodChannel channel = MethodChannel('great_circle_distance');

  TestWidgetsFlutterBinding.ensureInitialized();

  setUp(() {
    channel.setMockMethodCallHandler((MethodCall methodCall) async {
      return '42';
    });
  });

  tearDown(() {
    channel.setMockMethodCallHandler(null);
  });

  test('getPlatformVersion', () async {
    expect(await GreatCircleDistance.platformVersion, '42');
  });
}
